import { ContextTemplatesService } from './context-templates.service';
import { CreateContextTemplateDto, PreviewContextTemplateDto, PreviewContextTemplateResponseDto, UpdateContextTemplateDto } from './dto/context-template.dto';
import { ContextTemplate } from '../core-entities';
import { TemplateType } from '../core-entities/context-template.entity';
export declare class ContextTemplatesController {
    private readonly contextTemplatesService;
    constructor(contextTemplatesService: ContextTemplatesService);
    create(createContextTemplateDto: CreateContextTemplateDto): Promise<ContextTemplate>;
    preview(previewDto: PreviewContextTemplateDto): Promise<PreviewContextTemplateResponseDto>;
    findAll(type?: TemplateType): Promise<ContextTemplate[]>;
    findOne(id: string): Promise<ContextTemplate>;
    update(id: string, updateContextTemplateDto: UpdateContextTemplateDto): Promise<ContextTemplate>;
    remove(id: string): Promise<void>;
    duplicate(id: string): Promise<ContextTemplate>;
    setDefaultInitial(id: string): Promise<ContextTemplate>;
    setDefaultFollowup(id: string): Promise<ContextTemplate>;
    setDefaultCondensed(id: string): Promise<ContextTemplate>;
}
